## net.i2p.router.web
Class RouterConsoleRunner.WarFilenameFilter

    java.lang.Object
      net.i2p.router.web.RouterConsoleRunner.WarFilenameFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  RouterConsoleRunner

    static class RouterConsoleRunner.WarFilenameFilter

extends Object
implements FilenameFilter

Constructor Summary
`RouterConsoleRunner.WarFilenameFilter()`

Method Summary
`boolean` `accept(File dir, String name)`
`static RouterConsoleRunner.WarFilenameFilter` `instance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RouterConsoleRunner.WarFilenameFilter

    RouterConsoleRunner.WarFilenameFilter()

Method Detail

### instance

    public static RouterConsoleRunner.WarFilenameFilter instance()

### accept

    public boolean accept(File dir,
                          String name)

  Specified by:
    `accept` in interface `FilenameFilter`